Issue 79877

Summary: ODF: Justify Vertically: Fixed Lower Page Boundary
Product: Writer Reporter: discoleo <discoleo>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: Hugh.Stewart, issues, nomnex
Version: OOo 2.2.1   
Target Milestone: ---   
Hardware: All   
OS: All   
URL: http://www.journals.uchicago.edu/CID/journal/issues/v24n6/ju04_1048/ju04_1048.web.pdf
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
2 Columns: Text-vs-Text same baseline
none
2 Columns: small Text-vs-Text Same Baseline
none
2 Columns: Img Text-vs-Text Same Baseline
none
Described Workaround Fails
none
SAME Baseline ONLY for LAST Line of Text none

Description discoleo 2007-07-22 13:18:30 UTC
I can always tell the difference between a professional publishing application
and MS Word. Unfortunately, this applies to OOo Writer, too.

I will start therefore to file issues that describe these advanced features,
features that make the difference between an advanced publishing application and
the ordinary office bundles.

= *Fixed Lower Text/Object Boundary* =

The lower margin of all document pages shall be kept constant. Any objects (like
text, images, tables, ...) that delimit the lower margin of the page shall
extend up to this Common Lower Boundary. This gives a professional touch to the
document. [The last page in the document shall be exempted from this constraint.]

This feature can be applied to:
 - enable the same lower boundary for *every page* in the document
 - enable the same lower boundary for a *multi-column* page !!!

*Lower Boundary:* refers to the baseline of the object / last text line at the
bottom of the page.

= Competing Product Analysis =

MS Word XP does NOT have this feature. Unfortunately, this is a very poor
comparator when it comes to high end publishing software. [I do NOT have access
to newer MS products.]

High End Publishing Software:
I am aware of this feature since at least 1997. This is now 10 years old. Many
high ranking journals publish articles formatted in this way: see e.g.
http://www.journals.uchicago.edu/CID/journal/issues/v24n6/ju04_1048/ju04_1048.web.pdf
published in Clinical Infectious Diseases in 1997 (such old content can be
accessed freely without a registration). For the full list of available journal
issues, see http://www.journals.uchicago.edu/CID/journal/available.html (1 year
old issues are usually free). Nature (http://www.nature.com) is another journal
that publishes articles formatted this way (unfortunately no free access).
Actually, I know a dozen of high ranking journals that use for a number of years
now this publishing feature.

= *EXAMPLES* =

I will attach some images from an article published in 1997 in CID depicting
this behaviour. I believe that these images do NOT violate any copyrights (they
cover only small parts of the article) and represent fair use. See attached
jpg-images depicting the lower boundary for some 2-column page examples:
text-vs-text, text-vs-image text and small text-vs-small text (bibliography).

= *IMPLEMENTATION* =

Currently, the ODF-file format does NOT allow to save such information.
Therefore, in a first step it is necessary to modify and extend the
ODF-specification. I recommend doing this in the OOo 3.0 time-frame.

This feature should be then implemented proper in a second step, somewhere in
the OOo 3.x time-frame. However, some preparatory work should be done prior to
OOo 3.0, too.

== *IMPLEMENTATION DETAILS* ==
The line spacing and spacing between various word-objects (images, tables,
paragraphs) should be increased automatically, so that the last line on the page
/ in each column will have a pre-specified base-line.

See attached exapmles. A similar discussion took already place on the OASIS
mailing list (2-4? months ago), though I don't know IF there was any progress on
this.
Comment 1 discoleo 2007-07-22 13:19:53 UTC
Created attachment 46974 [details]
2 Columns: Text-vs-Text same baseline
Comment 2 discoleo 2007-07-22 13:20:44 UTC
Created attachment 46975 [details]
2 Columns: small Text-vs-Text Same Baseline
Comment 3 discoleo 2007-07-22 13:21:24 UTC
Created attachment 46976 [details]
2 Columns: Img Text-vs-Text Same Baseline
Comment 4 discoleo 2007-07-22 14:07:51 UTC
Created wiki page:
http://wiki.services.openoffice.org/wiki/Writer/ToDo/ODF_Enhancement

Set target milestone OOo 3.0 for ODF-related changes. Feature should then be
implemented in the OOo 3.x time-frame.
Comment 5 michael.ruess 2007-07-23 10:15:28 UTC
Could you please have a look at the "Register-true" feature (in Format.Page.Page
dialog and Format.Paragraph.Indents dialog).
Does this meet your requirements?
Comment 6 discoleo 2007-07-23 10:44:16 UTC
leo->mru

NO, it is not resolved:
> Register-true is a typography term that is used in printing.
> ... the base lines of the affected characters are aligned to a *vertical page
grid*,
> regardless of font size or of the presence of graphics.

With other words, the line-height is kept constant.

However, as you see in the *three attached images* of the pdf document, the line
height is different for the various (adjacent) paragraphs.

This is especially evident in
http://www.openoffice.org/nonav/issues/showattachment.cgi/46974/2Column_Text-Text.jpg
where *ONLY* the baseline of the last line has the same vertical alignment, the
previous lines in the 2 columns have completely different baselines.

This becomes very evident when dealing with text of varying sizes, e.g. a 14 and
a 12 point font. The lines with the 14 pt font will be expanded tremendously,
making it very ugly. This is a workaround, but a very ugly one, and misses the
features of high end publishing software.
Comment 7 discoleo 2007-07-23 10:49:34 UTC
Created attachment 46993 [details]
Described Workaround Fails
Comment 8 discoleo 2007-07-23 10:57:01 UTC
Created attachment 46994 [details]
SAME Baseline ONLY for LAST Line of Text
Comment 9 michael.ruess 2007-07-23 11:24:59 UTC
Yeah, I see. In this case it is clearly a new "request for enhancement" and not
resolved.
Reassigned to requirements. 
Comment 10 discoleo 2008-05-16 20:46:18 UTC
This discussion took also place on the OASIS list, as mentioned previously. A
very good description is given in the following ,essage:

http://lists.oasis-open.org/archives/office-comment/200704/msg00001.html

To quote from the original message:
>     * the ability to mark a page style as being vertically justified;
>     * the ability to turn this off before a manual break;
>     * the ability to ask that this happen only when the page ends
>       within some measure (say, 1 inch) of the bottom border (so that
>       a page only half full is not filled with large vertical white
>       spaces in order to justify it);
>     * the ability to ask that the space be moved elsewhere on the page
>       under the following schemes:
>            1. by proportionally increasing the spaces between
>               paragraphs;
>            2. by proportionally increasing the line leading;
>            3. by increasing space at manually marked positions,
>               possibly in some ratio (e.g., being able to mark before
>               a heading and after a table, and asking that 70% of the
>               space required be inserted before the heading, and the
>               remaining 30% be inserted after a table), or:
>            4. by being able to specify within styles to what extra
>               space may be added above and below in order to justify,
>               and where to prefer to put the space. (e.g., we first
>               add space Headings up to 0.5in, at which point we then
>               add space to text paragraphs). This would perhaps be an
>               alternative feature in preference to 3.

Unfortunately, some replies did not fully appreciate this issue. As stated, I am
aware of this feature since at least the mid '90s and it is the de facto
standard in professional publishing.
Comment 11 Joe Smith 2010-01-27 00:43:44 UTC
This looks a lot like Issue 20386.

Could someone clarify what the difference is?
Comment 12 Hugh Stewart 2016-10-10 10:58:42 UTC
It's also an issue with multi-column pages -- without vertical justification "balanced columns" typically look unbalanced by +/- half a line height.